Bug 68908 - real time scheduling is broken
real time scheduling is broken
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://www-hft.ee.tu-berlin.de/~strau...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-15 17:00 EDT by Till Straumann
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-15 17:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fixing broken rh7.2/linux-2.4.18-4 sched_setscheduler() etc. syscall (1.04 KB, patch)
2002-07-15 17:03 EDT, Till Straumann
no flags Details | Diff

  None (edit)
Description Till Straumann 2002-07-15 17:00:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The linux-2.4.17-selected-ac-bits.patch breaks real-time scheduling.
A process trying to get real-time priority (sched_setscheduler())
will never really get the requested priority (although sched_getparam())
reports the correct rt_priority).
'ps l' should report a negative PRI for real-time processes but a process
calling sched_setscheduler(0,SCHED_FIFO,&params) will always
show a PRI >= 0.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Let a program call sched_setscheduler(0,SCHED_OTHER,&appropriate_param)
2. run as root
3. test behavior. Run 'ps l'. The process will not be RT scheduled
	

Actual Results:  Process didn't effectively get RT priority

Additional info:

Programs relying on real-time scheduling (e.g. CD burner) may lose data.

Proposed Fix: see patch available at

http://www-hft.ee.tu-berlin.de/~strauman/tp4utils/index.html
Comment 1 Till Straumann 2002-07-15 17:03:20 EDT
Created attachment 65484 [details]
patch fixing broken rh7.2/linux-2.4.18-4 sched_setscheduler() etc. syscall
Comment 2 Arjan van de Ven 2002-07-17 14:28:15 EDT
this has been fixed in 2.4.18-5 already, which has been released as erratum a
while ago

Note You need to log in before you can comment on or make changes to this bug.